vgp.curve.common

## Class PnAsymptOde

- java.lang.Object
- - jv.object.PsObject
  - - jvx.numeric.PnOde
    - - vgp.curve.common.PnSurfaceOde
      - - vgp.curve.common.PnAsymptOde

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PnAsymptOde
      extends PnSurfaceOde

  Ordinary differential equation of asymptote line on a surface.
  See Also:
    Serialized Form
  Author:
    Eike Preuß
  Version:
    08.07.2001, 1.20 revised (ep) Debugged the whole thing.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnAsymptOde()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `diffEquation(double x, double[] y, double[] dy)` Method should be overwritten y an application with problem dependent ODE.
    `void` | `init()` If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
    `void` | `nearestAsymptDir(double[] y, double[] dir)` y: y[0],y[1] = point, y[2],y[3] = dir double[2] dir
    `void` | `setInitialData(double x, double[] y, double h, double len)`

    - ### Methods inherited from class vgp.curve.common.PnSurfaceOde

      `getSurface, setSurface, solve, solve`

    - ### Methods inherited from class jvx.numeric.PnOde

      `rungeKutta, setOrder, solve`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, update, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PnAsymptOde

          public PnAsymptOde()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsObject`
      If instance has missing name then assign default name 'Object_NUMBER' where number is the total number of already created instances.
      Overrides:
        `init` in class `PnSurfaceOde`

    - #### setInitialData

          public void setInitialData(double x,
                                     double[] y,
                                     double h,
                                     double len)

      Overrides:
        `setInitialData` in class `PnOde`

    - #### diffEquation

          public void diffEquation(double x,
                                   double[] y,
                                   double[] dy)

      Description copied from class: `PnOde`
      Method should be overwritten y an application with problem dependent ODE.
      Overrides:
        `diffEquation` in class `PnOde`

    - #### nearestAsymptDir

          public void nearestAsymptDir(double[] y,
                                       double[] dir)

      y: y[0],y[1] = point, y[2],y[3] = dir double[2] dir
      Parameters:
        `y` - input
        `dir` - output

"

The software JavaView? is copyright protected. All Rights Reserved.
"